{% extends 'easyAdmin/layout/linked_user_layout.html.twig' %}

{#vendor/easycorp/easyadmin-bundle/src/Resources/views/layout.html.twig#}

{% block content %}
    <div class="content post-login-content">

        <div class="container post-login-card">
            <div class="title">
                <h2>{% trans %}The events{% endtrans %}</h2>
            </div>

            {% if is_granted('ROLE_AFFILIATED') == true and events|default %}
                {% for event in events %}
                    <a href="{{ path('app_company_event_dashboard', {companySlug: company.companySlug, eventSlug: event.eventSlug}) }}">
                        <button type="button" class="circle bg-light border border-secondary col-xs-2 col-xs-offset-1 col-sm_offset-1 col-sm-3">
                            <h2>{{ event.name }}</h2>
                            {% for companyRole in event.companyRoles %}
                                <h5>{{ companyRole.company.name }}{% trans %} is the {% endtrans %}{{ companyRole.roles[0] }}</h5>
                            {% endfor %}
                            {% for userRole in event.eventUser %}
                                <h5>{{ userRole.user.username }}{% trans %} is the {% endtrans %}{{ userRole.roles[0] }}</h5>
                            {% endfor %}
                        </button>
                    </a>
                {% endfor %}
            {% endif %}
            <a href="{{ path('app_company_event_add', {companySlug: company.companySlug}) }}">
                <button type="button" class="circle bg-light border border-secondary col-xs-2 col-xs-offset-1 col-sm_offset-1 col-sm-3">
                    <h2>{% trans %}Add event{% endtrans %}</h2>
                </button>
            </a>
        </div>

        <div class="container post-login-card">
            <div class="title">
                <h2>{% trans %}The contracts{% endtrans %}</h2>
            </div>

            {% if is_granted('ROLE_AFFILIATED') == true and rentsIn|default %}
                {% for rent in rentsIn %}
                    <a href="{{ path('app_company_rent_dashboard',{companySlug:company.companySlug, rentSlug:rent.rentSlug}) }}">
                        <div class="card" style="width: 200px; margin-bottom: 30px; " >
                            <div class="card-hearder">
                                <h4 style="text-align: center">{% trans %}The borrowsing{% endtrans %}</h4>
                            </div>
                            <img class="card-img-top" src="..." alt="Card image cap">
                            <div class="card-body">
                                <h5 class="card-title">
                                    {{ rent.title }}
                                </h5>
                                {% if rent.dateStart == rent.dateEnd %}
                                    <p>
                                        {{ rent.dateEnd ? rent.dateStart|date('d-m-Y')}}
                                    </p>
                                {% else %}
                                    <p> Du {{ rent.dateStart ? rent.dateStart|date('d-m-Y')}} <br>
                                        au {{ rent.dateEnd ? rent.dateEnd|date('d-m-Y')}}</p>
                                {% endif%}
                                <hr>
                                <p> Panier : {{ rent.contract.bigValue }}</p>
                            </div>
                        </div>
                    </a>
                {% endfor %}
            {% endif %}

            {% if is_granted('ROLE_AFFILIATED') == true and rentsOut|default %}

                {% for rent in rentsOut %}
                    <a href="{{ path('app_company_rent_dashboard',{companySlug:company.companySlug, rentSlug:rent.rentSlug}) }}">
                        <div class="card" style="width: 200px; margin-bottom: 30px; " >
                            <div class="card-hearder">
                                <h4 style="text-align: center">{% trans %}The lender{% endtrans %}</h4>
                            </div>
                            <img class="card-img-top" src="..." alt="Card image cap">
                            <div class="card-body">
                                <h5 class="card-title">
                                    {{ rent.title }}
                                </h5>
                                {% if rent.dateStart == rent.dateEnd %}
                                    <p>
                                        {{ rent.dateEnd ? rent.dateStart|date('d-m-Y')}}
                                    </p>
                                {% else %}

                                    <p> Du {{ rent.dateStart ? rent.dateStart|date('d-m-Y')}} <br>
                                        au {{ rent.dateEnd ? rent.dateEnd|date('d-m-Y')}}</p>
                                {% endif%}
                                <hr>
                                <p> Panier : {{ rent.contract.bigValue }}</p>
                            </div>
                        </div>
                    </a>
                {% endfor %}
            {% endif %}
            <a href="{{ path('app_company_add_investment', {companySlug: company.companySlug}) }}">
                <button type="button" class="circle bg-light border border-secondary col-xs-2 col-xs-offset-1 col-sm_offset-1 col-sm-3">
                    <h2>{% trans %}Add {% endtrans %}</h2>
                </button>
            </a>
        </div>


        <div class="container post-login-card">
            <div class="title">
                <h2>{% trans %}The investments{% endtrans %}</h2>
            </div>

            {% if is_granted('ROLE_AFFILIATED') == true and investments|default %}
                {% for investment in investments %}
                    <a href="{{path('app_company_investment_dashboard', {companySlug: company.companySlug, investmentSlug: investment.investment.investmentSlug})}}">
                        <button type="button" class="circle bg-light border border-secondary col-xs-2 col-xs-offset-1 col-sm_offset-1 col-sm-3">
                            <h2>{{ investment.investment.name }}</h2>
                            {#        TODO            { affiche role de company rapport a ligne d'investissement }
                        {% for role in investmentRoles[key] %}
                            <p>{{ role }}</p>
                        {% endfor %}#}
                        </button>
                    </a>
                {% endfor %}
            {% endif %}
            <a href="{{ path('app_company_add_investment', {companySlug: company.companySlug}) }}">
                <button type="button" class="circle bg-light border border-secondary col-xs-2 col-xs-offset-1 col-sm_offset-1 col-sm-3">
                    <h2>{% trans %}Add investment{% endtrans %}</h2>
                </button>
            </a>
        </div>
    </div>

{% endblock content %}